package opc.ua.services.common;

import opc.ua.addressspace.datatype.LocalizedText;
import opc.ua.addressspace.datatype.NodeId;

public class VariableTypeAttributes {

	private long specifiedAttributes;
	private LocalizedText displayName;
	private LocalizedText description;
	private Object value;
	private NodeId dataType;
	private long valueRank;
	private long[] arrayDimensions;
	private boolean isAbstract;
	private long writeMask;
	private long userWriteMask;

	
	public long getSpecifiedAttributes() {
		return specifiedAttributes;
	}
	public void setSpecifiedAttributes(long specifiedAttributes) {
		this.specifiedAttributes = specifiedAttributes;
	}
	public LocalizedText getDisplayName() {
		return displayName;
	}
	public void setDisplayName(LocalizedText displayName) {
		this.displayName = displayName;
	}
	public LocalizedText getDescription() {
		return description;
	}
	public void setDescription(LocalizedText description) {
		this.description = description;
	}
	public Object getValue() {
		return value;
	}
	public void setValue(Object value) {
		this.value = value;
	}
	public NodeId getDataType() {
		return dataType;
	}
	public void setDataType(NodeId dataType) {
		this.dataType = dataType;
	}
	public long getValueRank() {
		return valueRank;
	}
	public void setValueRank(long valueRank) {
		this.valueRank = valueRank;
	}
	public long[] getArrayDimensions() {
		return arrayDimensions;
	}
	public void setArrayDimensions(long[] arrayDimensions) {
		this.arrayDimensions = arrayDimensions;
	}
	public boolean isAbstract() {
		return isAbstract;
	}
	public void setAbstract(boolean isAbstract) {
		this.isAbstract = isAbstract;
	}
	public long getWriteMask() {
		return writeMask;
	}
	public void setWriteMask(long writeMask) {
		this.writeMask = writeMask;
	}
	public long getUserWriteMask() {
		return userWriteMask;
	}
	public void setUserWriteMask(long userWriteMask) {
		this.userWriteMask = userWriteMask;
	}

}
